activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guerrero <>
Subject Problem upgrading from 5.5.1 to 5.6.0
Date Fri, 27 Jul 2012 20:47:01 GMT
After hitting a problem with a network of brokers (see this
I discovered the 5.6.0 release of ActiveMQ.  With the new release, I cannot
seem to connect more than a single client to a server application.  I keep
getting the InvalidClientIDException (with clientId ==
"NC_localhost_outbound") in RegionBroker.addConnection(ConnectionContext,
ConnectionInfo).  Extremely confused, I backed out to 5.5.1 and stepped
through in debug, only to see that the previous context is removed rather
than throwing an exception.

I think I found the revision in branches/activemq-5.5 where the logic to
remove a previous context was added:

I cannot, however, find anything like that in the 5.6 branch or on trunk.
 I don't know if I'm going down the wrong rabbit hole or what. Is there
anything special that needs to be configured in 5.6 in order connect more
than one remote broker?

View this message in context:
Sent from the ActiveMQ - User mailing list archive at
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message